# eric4.Wizards.MessageBoxWizard.MessageBoxWizard

Module implementing the message box wizard.

### Classes

MessageBoxWizard | Class implementing the message box wizard.

### Functions

None

## MessageBoxWizard

Class implementing the message box wizard.

### Derived from

WizardIFace

### Methods

MessageBoxWizard | Constructor
__callForm | Private method to display a dialog and get the code.
getAction | Public method to get the action associated with this class wizard.
handle | Worker method associated with the wizard action
initAction | Public method to create the action associated with this class wizard.

#### MessageBoxWizard (Constructor)

MessageBoxWizard(parent = None)

Constructor

parent
  parent widget (QWidget)

#### MessageBoxWizard.__callForm

__callForm(editor)

Private method to display a dialog and get the code.

editor
  reference to the current editor

Returns:
  the generated code (string)

#### MessageBoxWizard.getAction

getAction()

Public method to get the action associated with this class wizard.

Returns:
  the associated action

#### MessageBoxWizard.handle

handle()

Worker method associated with the wizard action

#### MessageBoxWizard.initAction

initAction()

Public method to create the action associated with this class wizard.

Returns:
  the associated action

Up